Skip to main content

Depth — specify minimum notional step

Subscribe

{ "method": "sub.depth.step", "param": { "symbol": "BTC_USDT", "step": "10" } }

Note: 10 means notional bucket size of 10; e.g., levels like 100010, 100020, 100030.

Unsubscribe

{
"method": "unsub.depth.step",
"param": { "symbol": "BTC_USDT", "step": "10" }
}

Sample data

{
"channel": "push.depth.step",
"data": {
"askMarketLevelPrice": 111089.4,
"asks": [
[111090, 398676, 26],
[111100, 410175, 8]
],
"bidMarketLevelPrice": 111085.5,
"bids": [
[111080, 461204, 35],
[111070, 386809, 3]
],
"ct": 1760950364388,
"version": 27883254360
},
"symbol": "BTC_USDT"
}

Receive depth data for contracts with a specified minimum notional step; after subscribing, updates are pushed every 200 ms.

Response fields:

FieldTypeDescription
asksList<Numeric[]>Ask depth
bidsList<Numeric[]>Bid depth
askMarketLevelPricedecimalHighest willing ask
bidMarketLevelPricedecimalHighest willing bid
versionlongVersion

Note: [111090,398676,26] → 111090 is price,398676 is the order numbers of the contract ,26 is the order quantity